Skip to content
Management API Reference

List notebooks of a project

get/v2/projects/{ref}/notebooks

Returns a cursor-paginated list of the project notebooks. Notebook bodies are omitted — read a single notebook to get its cells.

OAuth scopes

  • database:read

The fine-grained token must include the following permissions to access this endpoint:

  • project_notebooks_read

Path parameters

  • ref
    Required
    string

    Project ref

Query parameters

  • page
    Optional
    object
  • filter
    Optional
    object
  • sort
    Optional
    enum

Response codes

  • 200
  • 401
  • 403
  • 429
  • 500

Response (200)

{
"data": [
{
"type": "notebook",
"id": "lorem",
"attributes": {
"name": "lorem",
"description": "lorem",
"favorite": true,
"inserted_at": "lorem",
"updated_at": "lorem",
"owner": {
"id": 42,
"username": "lorem"
},
"updated_by": {
"id": 42,
"username": "lorem"
}
}
}
],
"links": {
"first": "/v2/projects/{ref}/notebooks?page[size]=10",
"prev": "/v2/projects/{ref}/notebooks?page[size]=10&page[before]=019adf7d-4513-74c5-bb9a-f1bc0f7a95d7",
"next": "/v2/projects/{ref}/notebooks?page[size]=10&page[after]=019adf7d-4513-7062-b292-78b86cc470a4",
"last": "/v2/projects/{ref}/notebooks?page[size]=10&page[after]=019adf7d-4513-71ba-b264-21900edb4295"
}
}